Error actualizando kali-linux

He comenzado a tratear con Kali-Linux.

Kali-Linux es una distribución basada en Debian GNU/Linux diseñada principalmente para la auditoría y seguridad informática en general.  Fue desarrollada Mati Aharoni y Devon Kearns, ambos pertenecientes al equipo de Offensive Security, desarrollaron la distribución a partir de la reescritura de BackTrack.

Trae preinstalados más de 600 programas incluyendo Nmap, Wireshark, John the Ripper (un crackeador de passwords) y Aircrack-ng (software para pruebas de seguridad en redes inalámbricas). Se puede usar desde un Live CD, live-us, instalado como sistema operativo (https://www.kali.org/downloads/) o descargando una mv (https://www.offensive-security.com/kali-linux-vm-vmware-virtualbox-hyperv-image-download/).

Una vez descargado un .ova, montada en VirtualBox y arrancada la mv se recomienda hacer una actualización de los paquetes.

Sin embargo esta actualizacion da un error de claves. Buscando en google (https://null-byte.wonderhowto.com/forum/fixing-error-kali-linux) encontre la solución.

Se debe instalar el paquete kali-archive-keyring2018.1all.deb

Este se obtiene con el siguiente comando:

wget https://http.kali.org/kali/pool/main/k/kali-archive-keyring/kali-archive-keyring_2018.1_all.deb

Una vez descargado se instala.

dpkg -i kali-archive-keyring2018.1all.deb

Una vez actualizado y intentar instalar las guestadditions no permite ejecutar el cd, para ello se edita el fichero fstab

nano /etc/fstab

/dev/sr0  /media/cdrom0  udf,iso9660  user,noauto         0    0

y se cambia a

/dev/sr0  /media/cdrom0  udf,iso9660  user,noauto,exec    0    0

Sin embargo, una vez ejecutado la instalación muestra el siguiente aviso

En el sitio de virtualbox website se indica que:

With Debian and Ubuntu-based distributions, you must install the right version of the linux-headers, usually whichever of linux-headers-generic , linux-headers-amd64 , linux-headers-i686 or linux-headers-i686-pae best matches the kernel version name; and if it exists the linux-kbuild package. Basic Ubuntu releases should have the right packages installed by default.”

sudo apt-get install linux-headers-$(uname -r)

y listo.

 

Ref:

https://computerhoy.com/paso-a-paso/software/que-es-kali-linux-que-puedes-hacer-41671

https://es.wikipedia.org/wiki/Kali_Linux

https://null-byte.wonderhowto.com/forum/fixing-error-kali-rolling-repository-0182646/

* Al reiniciar la mv despues de instalar todas las actualizaiciones, esta se quedaba colgada en la línea booting SMP , despues de busacr un poco el error lo solucioné seleccionando solo una CPU en la mv.

 

Anuncios

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión /  Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión /  Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión /  Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión /  Cambiar )

Conectando a %s